summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2021-06-14 18:49:53 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2021-06-14 18:49:53 +0000
commitaaa03a55b984b2448b17ce49640b116e1eff3404 (patch)
tree48be06f55ba82c18e5ae5c5490d44fd5ac93669c
parent2021-06-14 18:20:08 UTC (diff)
parentsys-kernel/dracut: unkeyword 055 (diff)
downloadgentoo-aaa03a55b984b2448b17ce49640b116e1eff3404.tar.gz
gentoo-aaa03a55b984b2448b17ce49640b116e1eff3404.tar.bz2
gentoo-aaa03a55b984b2448b17ce49640b116e1eff3404.zip
Merge updates from master
-rw-r--r--dev-libs/libarcus/Manifest1
-rw-r--r--dev-libs/libarcus/libarcus-4.8.0.ebuild56
-rw-r--r--dev-libs/libcharon/Manifest1
-rw-r--r--dev-libs/libcharon/libcharon-4.8.0.ebuild73
-rw-r--r--dev-libs/libsavitar/Manifest1
-rw-r--r--dev-libs/libsavitar/libsavitar-4.8.0.ebuild76
-rw-r--r--dev-ml/mccs/Manifest1
-rw-r--r--dev-ml/mccs/mccs-1.1.13.ebuild29
-rw-r--r--dev-ml/topkg/topkg-1.0.3.ebuild11
-rw-r--r--dev-python/uranium/Manifest1
-rw-r--r--dev-python/uranium/uranium-4.8.0-r1.ebuild97
-rw-r--r--media-gfx/cura/Manifest1
-rw-r--r--media-gfx/cura/cura-4.8.0.ebuild67
-rw-r--r--media-gfx/curaengine/Manifest1
-rw-r--r--media-gfx/curaengine/curaengine-4.8.0.ebuild85
-rw-r--r--media-gfx/fdm-materials/Manifest1
-rw-r--r--media-gfx/fdm-materials/fdm-materials-4.8.0.ebuild26
-rw-r--r--media-sound/din/files/din-50.2-gcc11-rename-identifier.patch20
-rw-r--r--media-sound/sc2mpd/Manifest1
-rw-r--r--media-sound/sc2mpd/sc2mpd-1.1.8.ebuild93
-rw-r--r--profiles/base/package.use.mask4
-rw-r--r--sys-kernel/dracut/Manifest1
-rw-r--r--sys-kernel/dracut/dracut-055.ebuild173
-rw-r--r--sys-kernel/dracut/dracut-9999.ebuild34
-rw-r--r--sys-kernel/dracut/files/gentoo-ldconfig-paths-r1.patch39
25 files changed, 383 insertions, 510 deletions
diff --git a/dev-libs/libarcus/Manifest b/dev-libs/libarcus/Manifest
index f518463c51f3..e35f65c36508 100644
--- a/dev-libs/libarcus/Manifest
+++ b/dev-libs/libarcus/Manifest
@@ -1,2 +1 @@
-DIST libarcus-4.8.0.tar.gz 31906 BLAKE2B 677fafa3875834c7602bc85b7246f50ed0dc49e886814c4562ce41a1a7baecfb4fb0bac42aada5339fe73cbd3fc5ac3b28076bf72a1e24591a947d747c6eb794 SHA512 44db9b48ab6be08c30f2121d68197a7347eaf3ee255649969a773afbe45ec2433e2cc082aa72f6d40dad7ea28345da858471fff9a129365a4e848df8c8c07689
DIST libarcus-4.9.1.tar.gz 31967 BLAKE2B 2ee827c3f1f592ac1efa7557a2cbfa9cf9fd2d43a7be7fd803f94f7b51c9a03be1078d3df319e1bbe2bc37b6ec3a1c6f16996c4e3b6251dd06f6031dd32ad2a9 SHA512 5124b80647cb0715ad94c5eaaeac797a867319de9a8064b689783fdb28598903a69e3a61393db90f5e0b3d10ee30aed844170cab63dc4b7c70509d5129a17cdd
diff --git a/dev-libs/libarcus/libarcus-4.8.0.ebuild b/dev-libs/libarcus/libarcus-4.8.0.ebuild
deleted file mode 100644
index f34adddb7ccf..000000000000
--- a/dev-libs/libarcus/libarcus-4.8.0.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit cmake python-single-r1
-
-MY_PN="libArcus"
-
-DESCRIPTION="This library facilitates communication between Cura and its backend"
-HOMEPAGE="https://github.com/Ultimaker/libArcus"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/3"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="examples +python static-libs"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="${PYTHON_DEPS}
- dev-libs/protobuf:=
- $(python_gen_cond_dep '
- <dev-python/sip-5[${PYTHON_MULTI_USEDEP}]
- python? ( dev-python/protobuf-python[${PYTHON_MULTI_USEDEP}] )
- ')"
-DEPEND="${RDEPEND}"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-PATCHES=(
- "${FILESDIR}"/${P}-deprecated-protobuf-calls.patch
-)
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- # Find SIP for current python version, not the latest installed
- sed -i "s/find_package(Python3 3.4 REQUIRED/find_package(Python3 ${EPYTHON##python} EXACT REQUIRED/g" \
- CMakeLists.txt cmake/FindSIP.cmake || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_EXAMPLES=$(usex examples ON OFF)
- -DBUILD_PYTHON=$(usex python ON OFF)
- -DBUILD_STATIC=$(usex static-libs ON OFF)
- )
-
- cmake_src_configure
-}
diff --git a/dev-libs/libcharon/Manifest b/dev-libs/libcharon/Manifest
index 3764ed0bee84..f40f4ef9d305 100644
--- a/dev-libs/libcharon/Manifest
+++ b/dev-libs/libcharon/Manifest
@@ -1,2 +1 @@
-DIST libcharon-4.8.0.tar.gz 151223 BLAKE2B fe4d2901908367569b45c466d31ac6e290979a8bd39c84f9c3ceb3ed91e9d9f1a789703fa5006706e21d77bd46b3185571df3f6157c7722e3e35244d27e0231c SHA512 33d3e9aa4e356fbf1d41555cfe2a5470d8f02b1d4f59d83e1ba89236b5e4489a93bdf24fad6f9bd2b0f843c053c485a082f5ee57437862ac40522aa61280b19c
DIST libcharon-4.9.1.tar.gz 151243 BLAKE2B 8557efe4667a83297a4bcfc8307e2322a379e52d50ad1648d873a923e182b3be1651a13c7402ac041fd134036a75a42e825adf2cc27271af218db44af7e48473 SHA512 41d611f8d3bf0f762a38a00c159104df04b73cd5c4f7e9ebcfe3ac9cdd0c8e31e505c4fd4ef8f8a6f1c02bf882bb3e14ea4e92c8b15169a91cbd1815e36310fa
diff --git a/dev-libs/libcharon/libcharon-4.8.0.ebuild b/dev-libs/libcharon/libcharon-4.8.0.ebuild
deleted file mode 100644
index 9cacf998c084..000000000000
--- a/dev-libs/libcharon/libcharon-4.8.0.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit cmake python-single-r1
-
-MY_PN="libCharon"
-
-DESCRIPTION="This library facilitates communication between Cura and its backend"
-HOMEPAGE="https://github.com/Ultimaker/libCharon"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/3"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-IUSE="+client +dbus test"
-RESTRICT="!test? ( test )"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RDEPEND="
- ${PYTHON_DEPS}
- dbus? (
- acct-group/ultimaker
- acct-user/ultimaker
- sys-apps/dbus
- )"
-
-DEPEND="${PYTHON_DEPS}
- test? (
- $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_MULTI_USEDEP}]')
- )"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_prepare() {
- # use current python version, not the latest installed
- # fix python install location
- sed -i \
- -e "s:find_package(Python3 3.4 REQUIRED:find_package(Python3 ${EPYTHON##python} EXACT REQUIRED:g" \
- -e "s:lib\${LIB_SUFFIX}/python\${Python3_VERSION_MAJOR}\.\${Python3_VERSION_MINOR}/site-packages:$(python_get_sitedir):g" \
- CMakeLists.txt || die
-
- sed -i -e "s:/usr/lib/python3/dist-packages/Charon/Service/main.py:$(python_get_sitedir)/Charon/Service/main.py:g" service/charon.service || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DINSTALL_CLIENT=$(usex client ON OFF)
- -DINSTALL_SERVICE=$(usex dbus ON OFF)
- -DPython3_EXECUTABLE="${PYTHON}"
- )
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- python_optimize "${D}/usr/$(get_libdir)"
-}
-
-pkg_postinst() {
- if use dbus ; then
- elog "To start the Charon File Metadata service at boot, add it to the default runlevel with:"
- elog " systemctl enable charon"
- fi
-}
diff --git a/dev-libs/libsavitar/Manifest b/dev-libs/libsavitar/Manifest
index 9f6888baa8af..ed39d1abd712 100644
--- a/dev-libs/libsavitar/Manifest
+++ b/dev-libs/libsavitar/Manifest
@@ -1,2 +1 @@
-DIST libsavitar-4.8.0.tar.gz 99030 BLAKE2B a1c1e252aa942114a1d7112d2e661b5e63403502642826c6b92c408c8eabd3d9fb12b44dc286f9a0dce3d42f473adae2441d357f237c903c8a0df936c41f9f37 SHA512 65d31986b120c9e717b10d0bac420f2582d9f1b44051d88f89475408d1f7997e144001c61f180eac554de33f1f8c1ec9555a6c23bdd797315624f57030f7ec8c
DIST libsavitar-4.9.1.tar.gz 100496 BLAKE2B 7700f110522298905c1e4cf42529e83c06c337ac826007db2fca8abf462abcb8dd9245d2d81773ba3e6663d9afa093685bf955a1cc7e27d48fc904913e56d62f SHA512 2b291a17603922a4a06292282392015cf381a813b5f9a374e8cb35da6c0701ead72cbf76f17e763793225885a4209b49e73114f462b40d6999f95db6de887a44
diff --git a/dev-libs/libsavitar/libsavitar-4.8.0.ebuild b/dev-libs/libsavitar/libsavitar-4.8.0.ebuild
deleted file mode 100644
index 88ae7dac6407..000000000000
--- a/dev-libs/libsavitar/libsavitar-4.8.0.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..8} )
-
-inherit cmake python-single-r1
-
-MY_PN="libSavitar"
-
-DESCRIPTION="C++ implementation of 3mf loading with SIP python bindings"
-HOMEPAGE="https://github.com/Ultimaker/libSavitar"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/3"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-IUSE="+python static-libs test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="${PYTHON_DEPS}
- dev-libs/pugixml
- $(python_gen_cond_dep '
- <dev-python/sip-5[${PYTHON_MULTI_USEDEP}]
- ')"
-
-DEPEND="${RDEPEND}
- test? (
- dev-cpp/gtest
- dev-cpp/tbb
- )"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-BUILD_DIR="${S}/build"
-
-PATCHES=( "${FILESDIR}/${PN}-4.7.0-use-system-pugixml.patch" )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- # remove bundled pugixml
- rm -r "${S}"/pugixml || die
-
- find "${S}"/src -type f -name '*.cpp' -o -name '*.h' | xargs sed -i \
- -e 's "../pugixml/src/pugixml.hpp" <pugixml.hpp> g' || die
-
- if use test; then
- find "${S}"/tests -type f -name '*.cpp' -o -name '*.h' | xargs sed -i \
- -e 's "../pugixml/src/pugixml.hpp" <pugixml.hpp> g' || die
- fi
-
- # find SIP for current python version, not the latest installed
- sed -i -e "s/find_package(Python3 3.4 REQUIRED/find_package(Python3 ${EPYTHON##python} EXACT REQUIRED/g" \
- CMakeLists.txt cmake/FindSIP.cmake || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_PYTHON=$(usex python ON OFF)
- -DBUILD_STATIC=$(usex static-libs ON OFF)
- -DBUILD_TESTS=$(usex test ON OFF)
- )
-
- cmake_src_configure
-}
-
-src_test() {
- cmake_src_test
-}
diff --git a/dev-ml/mccs/Manifest b/dev-ml/mccs/Manifest
index 191a387e9903..978984dbf799 100644
--- a/dev-ml/mccs/Manifest
+++ b/dev-ml/mccs/Manifest
@@ -1 +1,2 @@
DIST mccs-1.1.11.tar.gz 1008163 BLAKE2B 49f173b99baa1acfd96f8ef873b664ba61dc9a770ad62873f956f017e3940737be74f5d5392d4043c9ade3e74e09d9c6b11c47af7755558b25f1f62e6ab80d84 SHA512 095393ca63fb591a833a7a37117a80a2e817b437bbcd655301b376f749a3756c8aff26b2fcdebfc5f68b9c30d8971a7ba057f610117516e3e85a3fe7bd3906d0
+DIST mccs-1.1.13.tar.gz 1024449 BLAKE2B c653c7d0b5fb6f9ea8facd8bfab517d80c7ec8cfd1ca512d81b81760e1d21c6978696af1cac596f0b11014464851c0c32e3bb5c6f70d88ad1bb7ef0034b8ff7d SHA512 2c2bc3c0e82b53a0e20c2542704eba8e3a2a1884f31b1a0a0079dd22fc02be8a8a62e582bdbf501339be0e9d6824872d737087e0fe150073b29b374505de073d
diff --git a/dev-ml/mccs/mccs-1.1.13.ebuild b/dev-ml/mccs/mccs-1.1.13.ebuild
new file mode 100644
index 000000000000..13b947434b03
--- /dev/null
+++ b/dev-ml/mccs/mccs-1.1.13.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit dune
+
+MY_PV=$(ver_rs 2 '+')
+
+DESCRIPTION="Multi Criteria CUDF Solver"
+HOMEPAGE="http://www.i3s.unice.fr/~cpjm/misc/ https://github.com/AltGr/ocaml-mccs/issues"
+SRC_URI="https://github.com/AltGr/ocaml-mccs/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/ocaml-${PN}-$(ver_rs 2 '-')
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="+ocamlopt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-ml/cudf:=
+ sci-mathematics/glpk:=
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-ml/extlib:=
+ )
+"
diff --git a/dev-ml/topkg/topkg-1.0.3.ebuild b/dev-ml/topkg/topkg-1.0.3.ebuild
index 15977974d687..6afcb25f56be 100644
--- a/dev-ml/topkg/topkg-1.0.3.ebuild
+++ b/dev-ml/topkg/topkg-1.0.3.ebuild
@@ -12,12 +12,12 @@ SRC_URI="https://github.com/dbuenzli/topkg/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
-IUSE=""
+IUSE="+ocamlopt"
RDEPEND="dev-ml/result:=
dev-ml/ocamlbuild:=
dev-ml/findlib:=
- dev-lang/ocaml:="
+ dev-lang/ocaml:=[ocamlopt?]"
DEPEND="${RDEPEND}"
src_compile() {
@@ -27,7 +27,12 @@ src_compile() {
src_install() {
# Can't use opam-installer here as it is an opam dep...
findlib_src_preinst
- local nativelibs="$(echo _build/src/${PN}*.cm{x,xa,xs,ti} _build/src/${PN}.a)"
+
+ local nativelibs
+ if use ocamlopt; then
+ nativelibs=$(echo _build/src/${PN}*.cm{x,xa,xs,ti} _build/src/${PN}.a)
+ fi
+
ocamlfind install ${PN} _build/pkg/META _build/src/${PN}.mli _build/src/${PN}.cm{a,i} ${nativelibs} || die
dodoc CHANGES.md DEVEL.md README.md
}
diff --git a/dev-python/uranium/Manifest b/dev-python/uranium/Manifest
index c43cbfb8c6a9..f63cf00a0916 100644
--- a/dev-python/uranium/Manifest
+++ b/dev-python/uranium/Manifest
@@ -1,2 +1 @@
-DIST uranium-4.8.0.tar.gz 1027286 BLAKE2B 5e068255918ca3a6125c308a64d47fab30260aa475505edad2abda664d2c2db7d821d4219ff682d4de90e16de2e36d257410a44f2752c733994739ca160e55b0 SHA512 a2cb923d703e626760c885ceb657566abfa5662f63729fef0b5cdf408da2ed3c23fefcd173b8af529ee79c2384505b2558379b82ba2cfd7a2d2291fe723ddbbd
DIST uranium-4.9.1.tar.gz 1038046 BLAKE2B 3304e89e0a22fbda0e9e57aaf88f6f11979eb5273d6c8a69f5ec9f050741561f67667a76e2136148808862026e2330f3b5043141ed8d69d255632a8c3c869def SHA512 e665a1ff8ebfc629e4bc2253533a3332d8f8804155432af921ad2e7251d5725daf9346cc5f110595914ac6f0d194db6d7e06dfcd3795b57e35b3d5e6dae594a7
diff --git a/dev-python/uranium/uranium-4.8.0-r1.ebuild b/dev-python/uranium/uranium-4.8.0-r1.ebuild
deleted file mode 100644
index d2fbe4c60546..000000000000
--- a/dev-python/uranium/uranium-4.8.0-r1.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_SINGLE_IMPL=1
-PYTHON_COMPAT=(python3_{7..8})
-
-inherit cmake distutils-r1
-
-MY_PN="Uranium"
-
-DESCRIPTION="A Python framework for building 3D printing related applications"
-HOMEPAGE="https://github.com/Ultimaker/Uranium"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="debug doc test"
-
-BDEPEND="${PYTHON_DEPS}
- sys-devel/gettext
- doc? ( app-doc/doxygen[dot] )
- test? (
- $(python_gen_cond_dep '
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/mypy[${PYTHON_USEDEP}]
- ')
- )"
-
-DEPEND="${PYTHON_DEPS}
- ~dev-libs/libarcus-${PV}:=[python,${PYTHON_SINGLE_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/PyQt5[${PYTHON_USEDEP},declarative,network,svg]
- dev-python/numpy[${PYTHON_USEDEP}]
- >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
- sci-libs/shapely[${PYTHON_USEDEP}]
- ')"
-
-RDEPEND="${DEPEND}
- dev-qt/qtquickcontrols:5
- dev-qt/qtquickcontrols2:5"
-
-DOCS=( README.md )
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- python_fix_shebang .
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCURA_BINARY_DATA_DIRECTORY:STRING="/usr/share/cura/"
- -DGETTEXT_MSGINIT_EXECUTABLE="msginit"
- )
-
- if ! use debug; then
- sed -i -e 's logging.DEBUG logging.ERROR g' \
- plugins/ConsoleLogger/ConsoleLogger.py \
- plugins/FileLogger/FileLogger.py || die
- fi
-
- sed -i \
- -e "s/find_package(PythonInterp 3 REQUIRED/find_package(Python3 ${EPYTHON##python} EXACT REQUIRED COMPONENTS Interpreter/g" \
- CMakeLists.txt cmake/UraniumPluginInstall.cmake
-
- sed -i \
- -e "s/find_package(Python3 REQUIRED/find_package(Python3 ${EPYTHON##python} EXACT REQUIRED/g" \
- -e 's/set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})//g' \
- cmake/UraniumPluginInstall.cmake
-
- sed -i \
- -e "s lib\${LIB_SUFFIX}/python\${PYTHON_VERSION_MAJOR}.\${PYTHON_VERSION_MINOR}/site-packages $(python_get_sitedir) g" \
- -e 's cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} cmake g' \
- CMakeLists.txt
-
- cmake_src_configure
-}
-
-src_compile() {
- cmake_src_compile
-
- use doc && cmake_src_compile doc
-}
-
-src_install() {
- cmake_src_install
-
- python_optimize "${ED}"/usr
-}
diff --git a/media-gfx/cura/Manifest b/media-gfx/cura/Manifest
index f77b0cbd1af8..165ec2a1e2b6 100644
--- a/media-gfx/cura/Manifest
+++ b/media-gfx/cura/Manifest
@@ -1,2 +1 @@
-DIST cura-4.8.0.tar.gz 31930258 BLAKE2B 0a10a03f5fa34ec0279b9476063f71d8ae904e05485b84fac011fa5061812cd74f4be6df7e6d93046365799fc2fb1bcf4d10d89c69d2c8455080f99c12cec153 SHA512 0a34438299908021242e47e74418e56fe61c41cff5c29df938b4705b5d23ceb6e1bd17b9eb8110f8ec75c7a08afe8928857d4f2fd5befa00c187bce717105711
DIST cura-4.9.1.tar.gz 47870392 BLAKE2B 2471c8461f73ad2343f4c3315994c5f63781ae1e49cb4699cd66e7e77c25a93916931fbaa6598c4144707dbc7778c902dad3a25839c0523aaf51ed39aacd2463 SHA512 436b8e33514de67d6d680fe59ab9599a75a86caa7e63fbcd05297b12a435483ec0c9ca90557fe23f25590a24e533294915fc18a665fd5cdb77fcc3a05a9076bf
diff --git a/media-gfx/cura/cura-4.8.0.ebuild b/media-gfx/cura/cura-4.8.0.ebuild
deleted file mode 100644
index 615180db9eed..000000000000
--- a/media-gfx/cura/cura-4.8.0.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=(python3_{7..8})
-inherit cmake desktop python-single-r1 xdg
-
-MY_PN=Cura
-
-DESCRIPTION="A 3D model slicing application for 3D printing"
-HOMEPAGE="https://github.com/Ultimaker/Cura"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="debug +usb zeroconf"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-BDEPEND="sys-devel/gettext"
-RDEPEND="${PYTHON_DEPS}
- ~dev-libs/libarcus-${PV}:=[python,${PYTHON_SINGLE_USEDEP}]
- ~dev-libs/libcharon-${PV}[${PYTHON_SINGLE_USEDEP}]
- ~dev-libs/libsavitar-${PV}:=[python,${PYTHON_SINGLE_USEDEP}]
- ~dev-python/pynest2d-${PV}[${PYTHON_SINGLE_USEDEP}]
- ~dev-python/uranium-${PV}[${PYTHON_SINGLE_USEDEP}]
- ~media-gfx/curaengine-${PV}
- ~media-gfx/fdm-materials-${PV}
- $(python_gen_cond_dep '
- dev-python/mypy[${PYTHON_MULTI_USEDEP}]
- dev-python/numpy[${PYTHON_MULTI_USEDEP}]
- dev-python/PyQt5[${PYTHON_MULTI_USEDEP}]
- dev-python/requests[${PYTHON_MULTI_USEDEP}]
- dev-python/sentry-sdk[${PYTHON_MULTI_USEDEP}]
- sci-libs/shapely[${PYTHON_MULTI_USEDEP}]
- usb? ( dev-python/pyserial[${PYTHON_MULTI_USEDEP}] )
- zeroconf? ( dev-python/zeroconf[${PYTHON_MULTI_USEDEP}] )
- ')"
-DEPEND="${RDEPEND}"
-
-DOCS=(README.md)
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_prepare() {
- sed -i -e "s:lib\${LIB_SUFFIX}/python\${Python3_VERSION_MAJOR}.\${Python3_VERSION_MINOR}/site-packages:$(python_get_sitedir):g" CMakeLists.txt || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- # trimesh not available in portage
- local mycmakeargs=(
- -DCURA_BUILDTYPE="ebuild"
- -DCURA_VERSION=${PV}
- -DCURA_NO_INSTALL_PLUGINS="AMFReader;Toolbox;TrimeshReader"
- -DCURA_DEBUGMODE=$(usex debug)
- )
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
- doicon icons/*.png
- python_fix_shebang "${D}/usr/bin/cura"
- python_optimize "${D}${get_libdir}"
-}
diff --git a/media-gfx/curaengine/Manifest b/media-gfx/curaengine/Manifest
index c2e8fd679fa6..e60d227e6690 100644
--- a/media-gfx/curaengine/Manifest
+++ b/media-gfx/curaengine/Manifest
@@ -1,2 +1 @@
-DIST curaengine-4.8.0.tar.gz 1690082 BLAKE2B 7c582ad0743a937ad4efa2a224e052383b90632c8f33f666a4139a74954a7243e17107ac39b35c1a5e41df89e303d618e4407d7e9a75efc5d96913aaaf498273 SHA512 be0d12cfe61932bf03dde61df8fb7f31cbd0aef6a44292130a7a67e318891f37db685722ba5d3cf66e88d4ff1de64ac86be5e494b750f8f7ff4b52d7976cb670
DIST curaengine-4.9.1.tar.gz 1694141 BLAKE2B 84119a2dd66340bdc3a4bd58384f300fb839aa7c5920de87d070945d3c436ace0f8686cd907a204e5825bdc17809d9f9052e37fb96b37e34a20650ca625d7b1e SHA512 cfa918c6301c9948713306256d74a2a84a1fefbc0f85c7ac0eb182d8363f1eae97aecdcb91c207a2e7e1ab252f63cf4b513734b50d4229da7aa35e095ef88bee
diff --git a/media-gfx/curaengine/curaengine-4.8.0.ebuild b/media-gfx/curaengine/curaengine-4.8.0.ebuild
deleted file mode 100644
index 2f4c30faf728..000000000000
--- a/media-gfx/curaengine/curaengine-4.8.0.ebuild
+++ /dev/null
@@ -1,85 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake toolchain-funcs
-
-MY_PN="CuraEngine"
-
-DESCRIPTION="A 3D model slicing engine for 3D printing"
-HOMEPAGE="https://github.com/Ultimaker/CuraEngine"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="AGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+arcus doc openmp test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- ${PYTHON_DEPS}
- arcus? (
- ~dev-libs/libarcus-${PV}:*
- dev-libs/protobuf:=
- )
- dev-libs/clipper
- dev-libs/rapidjson
- dev-libs/stb"
-
-DEPEND="${RDEPEND}
- test? ( dev-cpp/gtest )"
-BDEPEND="doc? ( app-doc/doxygen )"
-
-DOCS=( README.md )
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_prepare() {
- rm -r "${S}"/libs || die
-
- # remove static linking
- # respect cflags
- sed -i \
- -e "s/-static-libstdc++//g" \
- -e 's/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")//g' \
- -e 's/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE_INIT}")//g' \
- CMakeLists.txt || die
-
- if use test; then
- find "${S}"/tests/arcus "${S}"/tests/integration "${S}"/tests/settings "${S}"/tests/utils \
- -type f -name '*.cpp' | xargs sed -i \
- -e 's <../src/utils/AABB.h> "../../src/utils/AABB.h" g'\
- -e 's <../src/utils/IntPoint.h> "../../src/utils/IntPoint.h" g' \
- -e 's <../src/utils/polygon.h> "../../src/utils/polygon.h" g'\
- -e 's <../src/utils/PolygonConnector.h> "../../src/utils/PolygonConnector.h" g'\
- -e 's <../src/utils/polygonUtils.h> "../../src/utils/polygonUtils.h" g'\
- -e 's <../src/utils/string.h> "../../src/utils/string.h" g' \
- -e 's <../src/utils/SVG.h> "../../src/utils/SVG.h" g' \
- -e 's#include "../src#include "../../src#g'|| die
- fi
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_TESTS=$(usex test ON OFF)
- -DENABLE_ARCUS=$(usex arcus ON OFF)
- -DENABLE_MORE_COMPILER_OPTIMIZATION_FLAGS=OFF
- -DENABLE_OPENMP=$(usex openmp ON OFF)
- -DUSE_SYSTEM_LIBS=ON
- )
-
- cmake_src_configure
-}
-
-src_compile() {
- cmake_src_compile
-
- if use doc; then
- doxygen || die "generating docs failed"
- mv docs/html . || die
- find html -type f \(-name '*.md5' -o -name '*.map'\) -delete || die
- HTML_DOCS=( html/. )
- fi
-}
diff --git a/media-gfx/fdm-materials/Manifest b/media-gfx/fdm-materials/Manifest
index 2180592fc405..08fbcf3dc1bd 100644
--- a/media-gfx/fdm-materials/Manifest
+++ b/media-gfx/fdm-materials/Manifest
@@ -1,2 +1 @@
-DIST fdm-materials-4.8.0.tar.gz 43850 BLAKE2B d9fa025eeb4f11c027fd64a2615d214a47024df62d53ee6b43391ac5383812581ae2ca075804277b6f7094639238646211cb5b978580edf91d004e83ef7ce405 SHA512 6e2812dc61ad00437d4c7943c3746cd915e1e49edef49f89ea2c4ca4cf023d67c400d1ae1e3c40923928d20ac09b184fc0632b828900b6236f9dfd346f19036d
DIST fdm-materials-4.9.1.tar.gz 46874 BLAKE2B 59aed353a7ed8cf1307de491f11a2b550df370553eee4ecfd803c07018f0a04a052653af49edc89a84172148b8ca1dac37a96236744d19d2f53fc320f42586bb SHA512 a615e1a75e0125642c348aeb28a1a52d1a32bec6946c8d4d6788455442cbdb2575326c7331c429df2031f1eb41b790dfd929792b40296262f18150decaf8baed
diff --git a/media-gfx/fdm-materials/fdm-materials-4.8.0.ebuild b/media-gfx/fdm-materials/fdm-materials-4.8.0.ebuild
deleted file mode 100644
index 99506a67b867..000000000000
--- a/media-gfx/fdm-materials/fdm-materials-4.8.0.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-MY_PN="fdm_materials"
-
-DESCRIPTION="FDM materials for media-gfx/cura"
-HOMEPAGE="https://github.com/Ultimaker/fdm_materials"
-SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="CC0-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="embedded"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_configure() {
- local mycmakeargs=(
- -DEMBEDDED=$(usex embedded on off)
- )
- cmake_src_configure
-}
diff --git a/media-sound/din/files/din-50.2-gcc11-rename-identifier.patch b/media-sound/din/files/din-50.2-gcc11-rename-identifier.patch
index 4d65f65b0388..8245a5cb021b 100644
--- a/media-sound/din/files/din-50.2-gcc11-rename-identifier.patch
+++ b/media-sound/din/files/din-50.2-gcc11-rename-identifier.patch
@@ -26,16 +26,16 @@ index ae0954b..af7f178 100644
--- a/src/help.h
+++ b/src/help.h
@@ -5,8 +5,8 @@
- * For more information, please visit https://dinisnoise.org/
- */
-
--#ifndef __help
--#define __help
-+#ifndef DIN_help
-+#define DIN_help
- #include <string>
- #include <vector>
- struct help {
+ * For more information, please visit https://dinisnoise.org/
+ */
+
+-#ifndef __help
+-#define __help
++#ifndef DIN_help
++#define DIN_help
+ #include <string>
+ #include <vector>
+ struct help {
--
2.32.0
diff --git a/media-sound/sc2mpd/Manifest b/media-sound/sc2mpd/Manifest
index 752ca377b0e9..e15087d642d4 100644
--- a/media-sound/sc2mpd/Manifest
+++ b/media-sound/sc2mpd/Manifest
@@ -1,2 +1,3 @@
DIST openhome-sc2-20200704.tar.gz 22352681 BLAKE2B a5131f3b5c3400ff0ca58f0ce9b45c25db6fc13dcf6827ed9e4531effd3b35026d59495adf690ba65c09624c12f7755b9373ec4e4309de73f17fdeb866beeba7 SHA512 04586fbfd8053c7f01d2c3dbf421f75d0d93ac179cf5f58bc7966d364a3477a87985a1a2db1b35018aa5193a07977b7b4be60d317e7c10b275234adf9a2bd5d2
DIST sc2mpd-1.1.7.tar.gz 238674 BLAKE2B 35fd57797612e3883ad5cc04be3f5328dbf4ec9aedb0461a801fe79566ef20de4026ad653eec6e7d932ffcd0385bb618331a519ec54838fd856d09c20f1971b8 SHA512 0b39e200f013602c851bec1ba41210c40d1a984638c86bd8dd5d61286aff19b315f282182753426e4470c8e6ccb60265b16dc6ba2e5117f59a3d40194464b4b3
+DIST sc2mpd-1.1.8.tar.gz 244898 BLAKE2B 81c3ff1b25db25cbd1bdb50f2343acb07740611dbad504fcc4670a6d351c1daace481de5292f291bdf208a911f67f4ebcc0884c0ef9eece962114860941e1941 SHA512 214b60ee154ab84e9a7ace285afa71b015987c6b6838fb2686cc81f65800f10228cc3f52e5f5e7e836fa181ea6fea5b0c4c83acc5c6eff989c82c79990f19497
diff --git a/media-sound/sc2mpd/sc2mpd-1.1.8.ebuild b/media-sound/sc2mpd/sc2mpd-1.1.8.ebuild
new file mode 100644
index 000000000000..ef6557395fe1
--- /dev/null
+++ b/media-sound/sc2mpd/sc2mpd-1.1.8.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Implements the SongCast protocol for use by upmpdcli and mpd"
+HOMEPAGE="https://www.lesbonscomptes.com/upmpdcli/index.html"
+
+openhome_packageversion="20200704"
+
+SRC_URI="
+ https://www.lesbonscomptes.com/upmpdcli/downloads/${P}.tar.gz
+ https://www.lesbonscomptes.com/upmpdcli/downloads/openhome-sc2-${openhome_packageversion}.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-libs/expat
+ media-libs/alsa-lib
+ media-libs/libsamplerate
+ media-libs/libmpdclient
+ <=net-libs/libmicrohttpd-0.9.70
+"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ mkdir openhome || die "Can't create openhome directory"
+ cd openhome || die "Can't enter openhome directory"
+ unpack openhome-sc2-${openhome_packageversion}.tar.gz
+}
+
+src_configure() {
+ econf "--with-openhome=${WORKDIR}/openhome"
+}
+
+src_compile() {
+ #### Begin ohbuild.sh reverse engineer
+
+ # build_ohNet
+ cd "${WORKDIR}/openhome/ohNet" || die "Couldn't cd to ohNet dir"
+ einfo "Building ohnet"
+ emake native_only=yes
+
+ # build_ohNetGenerated
+ cd "${WORKDIR}/openhome/ohNetGenerated" || die "Couldn't cd to ohNetGenerated dir"
+ # TODO: get from environment/make target
+ deps="${WORKDIR}/openhome/ohNetGenerated/dependencies/Linux-x64/ohNet-Linux-x64-Release"
+ mkdir -p ${deps}/{include/ohnet,lib/{ohnet,t4,ui,PyOhNet}} || die "Couldn't mkdir deps"
+ cd ${deps} || die "Couldn't cd to deps dir"
+
+ ohnet="${WORKDIR}/openhome/ohNet"
+ find "$ohnet/Build" \( -name '*.a' -o -name '*.so' \) \
+ -exec cp '{}' lib ';' \
+ || die "Couldn't cp binary libs"
+
+ cd "$ohnet/Build/Include" || die "Couldn't cd to include"
+ cp -R * "${deps}/include/ohnet" || die "Couldn't cp include"
+ # cd "$ohnet/Build/Tools" || die "Couldn't cd to tools"
+ # cp -R * "${deps}/lib/t4" || die "Couldn't cp tools"
+ cd "$ohnet/OpenHome/Net/T4/Templates" || die "Couldn't cd to templates"
+ cp -R * "${deps}/lib/t4" || die "Couldn't cp templates"
+ cd "$ohnet/OpenHome/Net/Bindings/Js/ControlPoint" || die "Couldn't cd to ui"
+ cp -R * "${deps}/lib/ui" || die "Couldn't cp ui"
+ cd "$ohnet/OpenHome/Net/Bindings/Python/PyOhNet" || die "Couldn't cd to py"
+ cp -R * "${deps}/lib/PyOhNet" || die "Couldn't cp py"
+
+ cd "${WORKDIR}/openhome/ohNetGenerated" || die "Couldn't cd later to ohNetGenerated dir"
+ einfo "Building ohnetgenerated"
+ emake native_only=yes
+
+ cd "Build/Include" || die "Couldn't cd later to include"
+ cp -R * "$ohnet/Build/Include" || die "Couldn't cp generated includes"
+
+ # build_ohTopology
+ cd "${WORKDIR}/openhome/ohTopology" || die "Couldn't cd to ohTopology dir"
+ mkdir -p build/Include/OpenHome/Av || die "Couldn't mkdir av"
+ cp -p OpenHome/Av/*.h build/Include/OpenHome/Av/ || die "Couldn't cp to av"
+
+ # build_ohSongcast
+ cd "${WORKDIR}/openhome/ohSongcast" || die "Couldn't cd to ohSongcast dir"
+ einfo "Building ohSongcast"
+ emake release=1 library_static
+
+ #### End ohbuild.sh reverse engineer
+
+ cd "${S}" || die "Failed to cd to source directory"
+ einfo "Building sc2mpd"
+ emake
+}
diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index 59f0c949d8f8..8b41e67b4856 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -6,6 +6,10 @@
# This file is only for generic masks. For arch-specific masks (i.e.
# mask everywhere, unmask on arch/*) use arch/base.
+# Mike Gilbert <floppym@gentoo.org> (2021-06-14)
+# Avoid running failing tests by default.
+sys-kernel/dracut test
+
# Michał Górny <mgorny@gentoo.org> (2021-05-31)
# Requires Python 3.7 and old SciPy.
<sys-cluster/ceph-16 diskprediction
diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
index 1f7643564be2..6aa828154793 100644
--- a/sys-kernel/dracut/Manifest
+++ b/sys-kernel/dracut/Manifest
@@ -1,3 +1,4 @@
DIST dracut-050.tar.xz 333592 BLAKE2B cb0bfa5a8e7547260b8a80a3606eb284182c062926269c85b09e07d26ad177df0eeaa64b17005bff9290611f1c83fc8cd8e2216cfe14b5e66ec7f659d4c2fa7b SHA512 eba046cf1c8013369a398e585e0bff233daa8595d469ce9acc8bbc6a32d55c6a5429d4219db19abbf6001104be05b357f0961f9e66b7f926039a5d3ee7c2b850
DIST dracut-051.tar.xz 346500 BLAKE2B 38129b6b713b3338bbb2554fffd611f80216969eebac9fca7fb72df2db2036d4fbe66ebd54e646e562e24801e61064e54b62f066bab9e77ca88814100ebdd8ff SHA512 f3533430e479bc91c538e0a198ca97450ec449a7d661d876ecd0ad3e417e22f7e4abf0a384fc676a63a4d3479f25d717c8acdcd1bdec7d0a5714298c5c4ea6b8
DIST dracut-053.tar.xz 354668 BLAKE2B d20d0f1675e18cf44615a98255c8b1a73f23e9c665a771a1fe99716d3bf0b6082961ab20fe058bf31c106c4f521d9e8708e2ae98cff00f613197bbf9dd3abda3 SHA512 4736f84442bda208a38d3285ffeb8b845f06e52e3bf60d2aaea121240cf695e1369208c2d2cee1137a6c1d3f8f7794385675006beaf5cd86ade259d5f42d039a
+DIST dracut-055.tar.xz 361752 BLAKE2B 9fcb0bce9ead2e079c70a377ea53701e4634d3dc64ae163e0e157d7d85822a274813e05f6079768640e1807818fad7a8158626413d773686a8d52fcd95fb5680 SHA512 2d2ea2889d9013bc94245bd7d1a2154f24d02bd9c2f7dbb28e5968e17d918e6598c68d85b0f551f968218980a80b19361ca0c9e8e94997ba54f4c09afcd6d866
diff --git a/sys-kernel/dracut/dracut-055.ebuild b/sys-kernel/dracut/dracut-055.ebuild
new file mode 100644
index 000000000000..2c69e98f3058
--- /dev/null
+++ b/sys-kernel/dracut/dracut-055.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 linux-info optfeature systemd toolchain-funcs
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/dracutdevs/dracut"
+else
+ [[ "${PV}" = *_rc* ]] || \
+ #KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+ SRC_URI="https://www.kernel.org/pub/linux/utils/boot/${PN}/${P}.tar.xz"
+fi
+
+DESCRIPTION="Generic initramfs generation tool"
+HOMEPAGE="https://dracut.wiki.kernel.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="selinux test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-arch/cpio
+ >=app-shells/bash-4.0:0
+ sys-apps/coreutils[xattr(-)]
+ >=sys-apps/kmod-23[tools]
+ || (
+ >=sys-apps/sysvinit-2.87-r3
+ sys-apps/openrc[sysv-utils(-),selinux?]
+ sys-apps/systemd[sysv-utils]
+ )
+ >=sys-apps/util-linux-2.21
+ virtual/pkgconfig
+ virtual/udev
+
+ elibc_musl? ( sys-libs/fts-standalone )
+ selinux? (
+ sec-policy/selinux-dracut
+ sys-libs/libselinux
+ sys-libs/libsepol
+ )
+"
+DEPEND="
+ >=sys-apps/kmod-23
+ elibc_musl? ( sys-libs/fts-standalone )
+"
+
+BDEPEND="
+ app-text/asciidoc
+ app-text/docbook-xml-dtd:4.5
+ >=app-text/docbook-xsl-stylesheets-1.75.2
+ >=dev-libs/libxslt-1.1.26
+ virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/dracut/.*"
+
+PATCHES=(
+ "${FILESDIR}"/gentoo-ldconfig-paths-r1.patch
+)
+
+src_configure() {
+ local myconf=(
+ --prefix="${EPREFIX}/usr"
+ --sysconfdir="${EPREFIX}/etc"
+ --bashcompletiondir="$(get_bashcompdir)"
+ --systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+
+ tc-export CC PKG_CONFIG
+
+ echo ./configure "${myconf[@]}"
+ ./configure "${myconf[@]}" || die
+
+ if [[ ${PV} != 9999 && ! -f dracut-version.sh ]] ; then
+ # Source tarball from github doesn't include this file
+ echo "DRACUT_VERSION=${PV}" > dracut-version.sh || die
+ fi
+}
+
+src_test() {
+ if [[ ${EUID} != 0 ]]; then
+ # Tests need root privileges, bug #298014
+ ewarn "Skipping tests: Not running as root."
+ elif [[ ! -w /dev/kvm ]]; then
+ ewarn "Skipping tests: Unable to access /dev/kvm."
+ else
+ emake -C test check
+ fi
+}
+
+src_install() {
+ local DOCS=(
+ AUTHORS
+ NEWS.md
+ README.md
+ docs/README.cross
+ docs/README.generic
+ docs/README.kernel
+ docs/SECURITY.md
+ )
+
+ default
+
+ docinto html
+ dodoc dracut.html
+}
+
+pkg_postinst() {
+ if linux-info_get_any_version && linux_config_exists; then
+ ewarn ""
+ ewarn "If the following test report contains a missing kernel"
+ ewarn "configuration option, you should reconfigure and rebuild your"
+ ewarn "kernel before booting image generated with this Dracut version."
+ ewarn ""
+
+ local CONFIG_CHECK="~BLK_DEV_INITRD ~DEVTMPFS"
+
+ # Kernel configuration options descriptions:
+ local ERROR_DEVTMPFS='CONFIG_DEVTMPFS: "Maintain a devtmpfs filesystem to mount at /dev" '
+ ERROR_DEVTMPFS+='is missing and REQUIRED'
+ local ERROR_BLK_DEV_INITRD='CONFIG_BLK_DEV_INITRD: "Initial RAM filesystem and RAM disk '
+ ERROR_BLK_DEV_INITRD+='(initramfs/initrd) support" is missing and REQUIRED'
+
+ check_extra_config
+ echo
+ else
+ ewarn ""
+ ewarn "Your kernel configuration couldn't be checked."
+ ewarn "Please check manually if following options are enabled:"
+ ewarn ""
+ ewarn " CONFIG_BLK_DEV_INITRD"
+ ewarn " CONFIG_DEVTMPFS"
+ ewarn ""
+ fi
+
+ optfeature "Networking support" net-misc/networkmanager
+ optfeature "Legacy networking support" net-misc/curl "net-misc/dhcp[client]" \
+ sys-apps/iproute2 "net-misc/iputils[arping]"
+ optfeature \
+ "Measure performance of the boot process for later visualisation" \
+ app-benchmarks/bootchart2 app-admin/killproc sys-process/acct
+ optfeature "Scan for Btrfs on block devices" sys-fs/btrfs-progs
+ optfeature "Load kernel modules and drop this privilege for real init" \
+ sys-libs/libcap
+ optfeature "Support CIFS" net-fs/cifs-utils
+ optfeature "Decrypt devices encrypted with cryptsetup/LUKS" \
+ "sys-fs/cryptsetup[-static-libs]"
+ optfeature "Support for GPG-encrypted keys for crypt module" \
+ app-crypt/gnupg
+ optfeature \
+ "Allows use of dash instead of default bash (on your own risk)" \
+ app-shells/dash
+ optfeature "Support iSCSI" sys-block/open-iscsi
+ optfeature "Support Logical Volume Manager" sys-fs/lvm2
+ optfeature "Support MD devices, also known as software RAID devices" \
+ sys-fs/mdadm
+ optfeature "Support Device Mapper multipathing" sys-fs/multipath-tools
+ optfeature "Plymouth boot splash" '>=sys-boot/plymouth-0.8.5-r5'
+ optfeature "Support network block devices" sys-block/nbd
+ optfeature "Support NFS" net-fs/nfs-utils net-nds/rpcbind
+ optfeature \
+ "Install ssh and scp along with config files and specified keys" \
+ net-misc/openssh
+ optfeature "Enable logging with rsyslog" app-admin/rsyslog
+ optfeature \
+ "Enable rngd service to help generating entropy early during boot" \
+ sys-apps/rng-tools
+}
diff --git a/sys-kernel/dracut/dracut-9999.ebuild b/sys-kernel/dracut/dracut-9999.ebuild
index e6d09f406d08..3b042f3de741 100644
--- a/sys-kernel/dracut/dracut-9999.ebuild
+++ b/sys-kernel/dracut/dracut-9999.ebuild
@@ -19,10 +19,9 @@ HOMEPAGE="https://dracut.wiki.kernel.org"
LICENSE="GPL-2"
SLOT="0"
-IUSE="selinux"
+IUSE="selinux test"
-# Tests need root privileges, bug #298014
-RESTRICT="test"
+RESTRICT="!test? ( test )"
RDEPEND="
app-arch/cpio
@@ -58,13 +57,10 @@ BDEPEND="
virtual/pkgconfig
"
-DOCS=( AUTHORS HACKING NEWS README.md README.generic README.kernel README.modules
- README.testsuite TODO )
-
QA_MULTILIB_PATHS="usr/lib/dracut/.*"
PATCHES=(
- "${FILESDIR}"/gentoo-ldconfig-paths.patch
+ "${FILESDIR}"/gentoo-ldconfig-paths-r1.patch
)
src_configure() {
@@ -86,11 +82,29 @@ src_configure() {
fi
}
+src_test() {
+ if [[ ${EUID} != 0 ]]; then
+ # Tests need root privileges, bug #298014
+ ewarn "Skipping tests: Not running as root."
+ elif [[ ! -w /dev/kvm ]]; then
+ ewarn "Skipping tests: Unable to access /dev/kvm."
+ else
+ emake -C test check
+ fi
+}
+
src_install() {
- default
+ local DOCS=(
+ AUTHORS
+ NEWS.md
+ README.md
+ docs/README.cross
+ docs/README.generic
+ docs/README.kernel
+ docs/SECURITY.md
+ )
- insinto /etc/logrotate.d
- newins dracut.logrotate dracut
+ default
docinto html
dodoc dracut.html
diff --git a/sys-kernel/dracut/files/gentoo-ldconfig-paths-r1.patch b/sys-kernel/dracut/files/gentoo-ldconfig-paths-r1.patch
new file mode 100644
index 000000000000..53349a1f31f3
--- /dev/null
+++ b/sys-kernel/dracut/files/gentoo-ldconfig-paths-r1.patch
@@ -0,0 +1,39 @@
+From e6a5f02038954ede223cc75901386acf43ec4264 Mon Sep 17 00:00:00 2001
+From: Alexander Tsoy <alexander@tsoy.me>
+Date: Mon, 9 Mar 2020 02:47:07 +0300
+Subject: [PATCH] Remove redundant gcc paths in ldconfig_paths()
+
+Bug: https://bugs.gentoo.org/705728
+---
+ dracut-functions.sh | 15 ++++++++++++++-
+ 1 file changed, 14 insertions(+), 1 deletion(-)
+
+diff --git a/dracut-functions.sh b/dracut-functions.sh
+index 5206bd21..a119fb15 100755
+--- a/dracut-functions.sh
++++ b/dracut-functions.sh
+@@ -81,7 +81,20 @@ find_binary() {
+ }
+
+ ldconfig_paths() {
+- $DRACUT_LDCONFIG ${dracutsysrootdir:+-r ${dracutsysrootdir} -f /etc/ld.so.conf} -pN 2> /dev/null | grep -E -v '/(lib|lib64|usr/lib|usr/lib64)/[^/]*$' | sed -n 's,.* => \(.*\)/.*,\1,p' | sort | uniq
++ local gccpath
++
++ if type -P gcc-config &>/dev/null; then
++ gccpath=$(gcc-config -c)
++ gccpath=/usr/lib/gcc/${gccpath%-*}/${gccpath##*-}
++ fi
++
++ while read -r line; do
++ if [[ ${line} != /usr/lib/gcc/* || -z ${gccpath} ]]; then
++ echo ${line}
++ elif [[ ${line} == ${gccpath} ]]; then
++ echo ${line}
++ fi
++ done < <($DRACUT_LDCONFIG ${dracutsysrootdir:+-r ${dracutsysrootdir} -f /etc/ld.so.conf} -pN 2>/dev/null | grep -E -v '/(lib|lib64|usr/lib|usr/lib64)/[^/]*$' | sed -n 's,.* => \(.*\)/.*,\1,p' | sort | uniq)
+ }
+
+ # Version comparision function. Assumes Linux style version scheme.
+--
+2.32.0
+